Halide 22.0.0 Halide compiler and libraries

Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Halide::Internal::Not Struct Reference

Logical not - true if the expression false. More...

`#include <IR.h>`

Inheritance diagram for Halide::Internal::Not:

## Static Public Member Functions
static Expr | make (Expr a)

## Public Attributes
Expr | a
Public Attributes inherited from Halide::Internal::BaseExprNode
Type | type
Public Attributes inherited from Halide::Internal::IRNode
RefCount | ref_count
| These classes are all managed with intrusive reference counting, so we also track a reference count. More...
IRNodeType | node_type
| Each IR node subclass has a unique identifier. More...

## Static Public Attributes
static const IRNodeType | _node_type = IRNodeType::Not

## Additional Inherited Members
Public Member Functions inherited from Halide::Internal::ExprNode< Not >
void | accept (IRVisitor *v) const override
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors. More...
Expr | mutate_expr (IRMutator *v) const override
| ExprNode ()
| ~ExprNode () override=default
Public Member Functions inherited from Halide::Internal::BaseExprNode
| BaseExprNode (IRNodeType t)
virtual Expr | mutate_expr (IRMutator *v) const =0
Public Member Functions inherited from Halide::Internal::IRNode
virtual void | accept (IRVisitor *v) const =0
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors. More...
| IRNode (IRNodeType t)
virtual | ~IRNode ()=default

## Detailed Description

Logical not - true if the expression false.

Definition at line 203 of file IR.h.

## Member Function Documentation

## ◆ make()

static Expr Halide::Internal::Not::make | ( | Expr | a | ) |
| static

Referenced by Halide::Internal::IRMatcher::NotOp< A >::make().

## Member Data Documentation

## ◆ a

Expr Halide::Internal::Not::a

Definition at line 204 of file IR.h.

Referenced by Halide::Internal::IRMatcher::NotOp< A >::match().

## ◆ _node_type

const IRNodeType Halide::Internal::Not::_node_type = IRNodeType::Not
| static

Definition at line 208 of file IR.h.

The documentation for this struct was generated from the following file:

- src/IR.h